Package wx :: Module gizmos :: Class ThinSplitterWindow

[frames | no frames]

## Type ThinSplitterWindow

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
            SplitterWindow --+
                             |
                            ThinSplitterWindow

Proxy of C++ ThinSplitterWindow class

Method Summary
SplitterWindow | ``__init__`(self, parent, id, pos, size, style, name)` Constructor.

Property Summary
| `thisown`: The membership flag

Instance Method Details

### __init__(self, parent, id=-1, pos=DefaultPosition, size=DefaultSize, style=wxSP_3D|wxCLIP_CHILDREN)
(Constructor)

Constructor. Creates and shows a SplitterWindow.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `name`
    (type=String)

  Returns:
    SplitterWindow
  Overrides:
    `wx.SplitterWindow.__init__` (inherited documentation)

Property Details

### thisown

The membership flag

  Get Method:
    unknown--1220923580(...)
  Set Method:
    unknown--1220923524(...)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:11:50 2007 | http://epydoc.sf.net